//POV-Ray 2.0 scene file: displays detailed tree images 
//created with Lj Lapre's L-system parser.
 
//Dick LeVitt, CIS 76216,2066 
//1/29/94

#include "colors.inc"
#include "textures.inc"

//Also requires "mytree.inc" and "barktex.gif"

// WORLD --------------------------------------------------------------------

// Setup camera

camera {
	location  <150, 60, 130>
	direction  <0, 0, 1>
	up  < 0, 1, 0>
	right  <-1.33, 0, 0>
	//sky <0, 0, 1>
   look_at  <50, 60, 0>
}

// Setup light sources

object { light_source { <250, 180, 100> color White } }


// Floor
object {plane { <0, 1, 0>, 0} 
        texture { 
          Cork scale <2,2,2>
          normal { wrinkles .7 scale 12}
        } 
}

// Sky
object { 
 sphere { <0, 0, 0>, 1 } 
  texture { 
   pigment {
     gradient <0, 1, 0> 
     color_map {
      [0 color red 0.9 green .95 blue 1.0 ]
      [1 color SkyBlue]
     }
   }
   finish {ambient .8 diffuse 0}
  } 
 scale <100000, 100000, 100000> 
}

// OBJECT SETUP -------------------------------------------------------------

// Select "lbase" object for rendering 

#declare l_base = object { cylinder { <0, 0, 0>, <0, 1.5, 0>, .75 } }  

// Textures for l_base object and leaves

#declare Bark = texture {
                  pigment {color Tan}
                  normal {
                    bump_map {
                      gif "barktex.gif"
                      map_type 2
                      bump_size 3
                    }
                  rotate <0, -60, 0>
                  }        
                }
#declare Leaf1 = texture {pigment {color ForestGreen} finish {ambient .5}}
#declare Leaf2 = texture {pigment {color MediumForestGreen} finish {ambient .5}}
#declare Leaf3 = texture {pigment {color GreenYellow} finish {ambient .5}}

// OBJECTS ------------------------------------------------------------------

#include "mytree.inc"

object {MyTree
  scale <1.2, 1.2, 1.2>
}
object {MyTree
  rotate <0, -150, 0>
  translate <50, 0, -240>
}



